let job = prompt("Какую работу вы хотите посмотреть?")
switch(job) {
    case "switch: sizes" :

        let country = prompt("Какой размер обуви вы хотите узнать: Европейский/США?")
        let size = prompt("Введите длину вашей стопы в см.") 
        switch(country) {
            case "США": switch(size){
                case "24.5": alert("7US")
                break;
                case "25": alert("7.5US")
                break;
                case "25.5": alert("8US")
                break;
                case "26": alert("9US")
                break;
                case "26.5": alert("9.5US")
                break;
                case "27": alert("10US")
                break;
                case "27.5": alert("10.5US")
                break;
                case "28": alert("11US")
                break;
                case "28.5": alert("11.5US")
                break;
                case "29": alert("12US")
                break;
                default: alert("Данного размера не существует")
            }
            break;
            case "Европейский": switch(size){
                case "24.5": alert("40")
                break;
                case "25": alert("40.5")
                break;
                case "25.5": alert("41")
                break;
                case "26": alert("42")
                break;
                case "26.5": alert("42.5")
                break;
                case "27": alert("43")
                break;
                case "27.5": alert("43.5")
                break;
                case "28": alert("44")
                break;
                case "28.5": alert("44.5")
                break;
                case "29": alert("45")
                break;
                default: alert("Данного размера не существует")
        }
    }

    break;

    case "switch: if" :

    let color = prompt("Введите цвет", "");
    if (color == "red"){
        alert(document.write("<div style='background-color: red;'>красный</div>"))
    } 
    else if(color == "black"){
        alert(document.write("<div style='background-color: black; color: white;'>черный</div>"))
    }
    else if(color == "blue"){
        alert(document.write("<div style='background-color: blue;'>синий</div>"))
    }
    else if(color == "green"){
        alert(document.write("<div style='background-color: green;'>зеленый</div>"))
    }
    else {
        alert(document.write("<div style='background-color: gray;'>Я не понял</div>"))
    }

    break;
    
    case "prompt: or" :

    let age = prompt("Укажите Ваш возраст.")
    let years = 2022;
    let YearOfBirth = years - age;
    if (age === '' || age === "null"){
        alert("Ошибка")
    }
    else {
        alert(YearOfBirth)
    }

    break;

    case "confirm: of this days" :

    let shopping1 = confirm("шопинг?") || alert("ты - бяка")

    break;

    case "confirm: if this days" :

    let shopping = confirm("шопинг?");
    if (shopping){

    }
    else{ (shopping === '' || shopping === "null")
        alert("ты - бяка")
    }

    break;

    case "triple prompt" :

    let surname = prompt("Напишите Вашу Фамилию.")
    let lastname = prompt("Напишите Ваше Имя.")
    let patronymic = prompt("Напишите Ваше Отчество")
    let fullName = surname + " " + lastname + " " + patronymic
    alert(fullName)

    break;

    case "default: or" :

    let surname1 = prompt("Напишите Вашу Фамилию")
    let name1 = prompt("Напишите Ваше Имя")
    let patronymic1 = prompt("Напишите Ваше отчество")
    surname1 = surname1 || "Иванов"
    name1 = name1 || "Иван"
    patronymic1 = patronymic1 || "Иванович"
    alert(surname1 + ' ' + name1 + ' ' + patronymic1)

    break;

    case "default: if" :

    let surname2 = prompt("Напишите Вашу Фамилию")
    let name2 = prompt("Напишите Ваше Имя")
    let patronymic2 = prompt("Напишите Ваше отчество")
    if (!surname2){
        surname2 = "Иванов"
    }
    if (!name2){
        name2 = "Иван"
    }
    if (!patronymic2){
        patronymic2 = "Иванович"
    }
    

    alert(surname2 + ' ' + name2 + ' ' + patronymic2)

    break;


    case "login ande password" :

    let login = prompt("Введите логин.");
    if (login == "admin"){
        let password = prompt("Введите пароль.");
        if (password == "qwerty"){
            alert("Поздравляем!")
        }
        else{
            alert("Ошибка")
        }
    }
    else{
        alert("Ошибка")
    }

    break;

    case "currency calc" :

    let currency = prompt("Какую валюты Вы хотите конвертировать? usd/eur")
    let sum = prompt("Введите сумму в грн.")
    let well;
    switch(currency) {
        case "usd": 
            well = 35
        break
        case "eur":
            well = 37
        }
    alert(sum / well)
    
    break;

    case "currency calc: improved" :

        let currency1 = prompt("Какую валюты Вы хотите конвертировать? usd/eur").toLowerCase()
        let sum1 = prompt("Введите сумму в грн.")
        let well1;
        switch(currency1) {
        case "usd": 
            well1 = 35
        break
        case "eur":
            well1 = 37
        }
        alert(sum1 / well1)

    break;

    case "currency calc: two rates" :

    let currency2 = prompt("Какую валюты Вы хотите конвертировать? usd/eur").toLowerCase()
    let sum2 = prompt("Введите сумму в грн.")
    let usdBuy = 35
    let usdSale = 34.5
    let eurBuy = 37
    let eurSale = 36.5

    switch(currency2) {
        case "usd" :
        let usdResult = confirm("Если вы хотите совершить покупку - нажмите ОК, если продажу - ОТМЕНА.")
        ? sum / usdBuy : sum / usdSale
        alert(usdResult)
        break;

        case "eur" :
        let eurResult = confirm("Если вы хотите совершить покупку - нажмите ОК, если продажу - ОТМЕНА.")
        ? sum / eurBuy : sum / eurSale
        alert(eurResult)
    }

    break;

    case "currency calc: if" :

    let currency3 = prompt("Какую валюты Вы хотите конвертировать? usd/eur").toLowerCase()
    let sum3 = prompt("Введите сумму в грн.")
    let usdBuy3 = 35
    let usdSale3 = 34.5
    let eurBuy3 = 37
    let eurSale3 = 36.5

    if (currency3 == "usd"){
        let usdResult3 = confirm("Если вы хотите совершить покупку - нажмите ОК, если продажу - ОТМЕНА.")
        ? sum3 / usdBuy3 : sum3 / usdSale3
        alert(usdResult3)
    }
    else if(currency3 == "eur"){
        let eurResult3 = confirm("Если вы хотите совершить покупку - нажмите ОК, если продажу - ОТМЕНА.")
        ? sum3 / eurBuy3 : sum3 / eurSale3
        alert(eurResult3)

    }

    break;


    case "scissors" :

        let userRandom = prompt("Выберите: Камень/Ножницы/Бумага")
            if (userRandom === "Камень"){
                userRandom = 1
            }else if (userRandom === "Ножницы"){
                userRandom = 2
            }else if (userRandom === "Бумага"){
                userRandom = 3
            }

        let random = Math.random() *3
        let computerRandom = Math.ceil(Math.round(random))
            if (computerRandom === 1){
                alert("Компьютер выбрал Камень")
            }else if (computerRandom === 2){
                alert("Компьютер выбрал Ножницы")
            }else if (computerRandom === 3){
                alert("Компьютер выбрал Бумагу")
            }

        if (userRandom === 1 && computerRandom === 1 || userRandom === 2 && computerRandom === 2 || userRandom === 3 && computerRandom === 3 ){
            alert("Ничья!")
        }else if (userRandom === 1 && computerRandom === 2 || userRandom === 2 && computerRandom === 3 || userRandom === 3 && computerRandom === 1){
            alert("Вы победили!")
        }else if (userRandom === 1 && computerRandom === 3 || userRandom === 2 && computerRandom === 1 || userRandom === 3 && computerRandom === 2){
            alert("Вы проиграли!")
        }

    break;

    case "задание на синий пояс" :


        let currency4 = prompt("Какую валюты Вы хотите конвертировать? usd/eur").toLowerCase()
        let sum4 = prompt("Введите сумму в грн.")
        let ratios = {
            usd: 25.6,
            eur: 29
        }
    
            if (currency4 == "usd"){
                alert(sum4 / ratios["usd"])
            }
            else if(currency4 == "eur"){
                alert(sum4 / ratios["eur"])
            }

    break;

    case "real data" :


    let currency5 = prompt("Какую валюты Вы хотите конвертировать? usd/eur").toLowerCase()
    let sum5 = prompt("Введите сумму в грн.")

        if (currency5 == "usd"){
            fetch('https://open.er-api.com/v6/latest/USD')
                .then(res => res.json())
                .then(data => {
                    alert(sum5 / data.rates.UAH)
            
            })
        }
        else if(currency5 == "eur"){
            fetch('https://open.er-api.com/v6/latest/EUR')
                .then(res => res.json())
                .then(data => {
                    alert(sum5 / data.rates.UAH)
            
            })
        }

        break;
}
    
